## freedoom 0.11.3

=== Makefile ===
# SPDX-License-Identifier: BSD-3-Clause

VERSION=$(shell git describe --dirty 2>/dev/null || cat VERSION)
WADS=wads
CPP=scripts/simplecpp
DEUTEX=deutex
DEUTEX_BASIC_ARGS=-v0 -rate accept -rgb 0 255 255
DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/

FREEDOOM1=$(WADS)/freedoom1.wad
FREEDOOM2=$(WADS)/freedoom2.wad
FREEDM=$(WADS)/freedm.wad

OBJS=$(FREEDM) $(FREEDOOM1) $(FREEDOOM2)

all: $(OBJS)

subdirs:
	$(MAKE) -C graphics/text
	$(MAKE) VERSION=$(VERSION) -C graphics/titlepic
	$(MAKE) -C lumps/playpal
	$(MAKE) -C lumps/colormap
	$(MAKE) -C lumps/genmidi
	$(MAKE) -C lumps/dmxgus
	$(MAKE) -C lumps/textures
	$(MAKE) -C bootstrap


# this is a useless dependency to force builds

force:

lumps/freedoom.lmp lumps/freedm.lmp: force
	echo $(VERSION) > $@

# update wadinfo.txt

wadinfo.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
wadinfo_phase1.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM1 -DULTDOOM < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_phase2.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_freedm.txt : buildcfg.txt subdirs lumps/freedoom.lmp lumps/freedm.lmp
	$(CPP) -P -DFREEDM < $< | scripts/wadinfo-builder.py -dummy > $@

# deutex doesnt allow redirects for the filenames in the texture
# entries, so we have to change the texture1 symlink to point
# to whichever wad we are working on

#---------------------------------------------------------
# freedm iwad

$(FREEDM): wadinfo_freedm.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_freedm.txt $@

#---------------------------------------------------------
# phase 1 (udoom) iwad

$(FREEDOOM1): wadinfo_phase1.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_phase1.txt $@

#---------------------------------------------------------
# phase 2 (doom2) iwad

$(FREEDOOM2): wadinfo_phase2.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_phase2.txt $@

%.html: %.adoc
	TZ=UTC asciidoc $<

doc: $(patsubst %.adoc,%.html,$(wildcard *.adoc))

COPYING.txt: COPYING.adoc
	unix2dos --add-bom --newfile $< $@

CREDITS.txt: CREDITS
	unix2dos --add-bom --newfile $< $@

DISTDOCS=COPYING.txt CREDITS.txt README.html

.PHONY: dist

# Due to convoluted reasons, the WADs must directly proceed the game name.
dist: $(OBJS) COPYING.txt CREDITS.txt README.html
	LC_ALL=C VERSION=$(VERSION) scripts/makepkgs freedm $(FREEDM) $(DISTDOCS)
	LC_ALL=C VERSION=$(VERSION) scripts/makepkgs freedoom $(FREEDOOM1) $(FREEDOOM2) $(DISTDOCS)

json: $(OBJS)
ifndef JSON
	@echo "Define JSON as the file to output." >&2
	@exit 1
else
	JSON=$(JSON) VERSION=$(VERSION) scripts/makejson
endif

clean:
	rm -f	*.html deutex.log $(OBJS) \
		./COPYING.txt ./CREDITS.txt \
		./wadinfo.txt ./wadinfo_phase1.txt \
		./wadinfo_phase2.txt ./wadinfo_freedm.txt \
		./lumps/freedoom.lmp \
		./lumps/freedm.lmp
	-rmdir $(WADS)

	$(MAKE) -C dist clean
	$(MAKE) -C graphics/text clean
	$(MAKE) -C graphics/titlepic clean
	$(MAKE) -C lumps/playpal clean
	$(MAKE) -C lumps/colormap clean
	$(MAKE) -C lumps/genmidi clean
	$(MAKE) -C lumps/dmxgus clean
	$(MAKE) -C lumps/textures clean
	$(MAKE) -C bootstrap clean

prefix?=/usr/local
bindir?=/bin
mandir?=/share/man
waddir?=/share/games/doom
target=$(DESTDIR)$(prefix)

%.6:
	$(MAKE) -C dist man-$*

%.png:
	$(MAKE) -C dist icon-$*

install-%: $(WADS)/%.wad %.6 %.png
	install -Dm 755 dist/freedoom "$(target)$(bindir)/$*"
	install -Dm 644 dist/$*.6 -t "$(target)$(mandir)/man6"
	install -Dm 644 $(WADS)/$*.wad -t "$(target)$(waddir)"
	install -Dm 644 dist/$*.desktop -t "$(target)/share/applications"
	install -Dm 644 dist/$*.appdata.xml -t "$(target)/share/appdata"
	install -Dm 644 dist/$*.png -t "$(target)/share/icons"

uninstall-%:
	rm "$(target)$(bindir)/$*"
	rm "$(target)$(mandir)/man6/$*.6"
	rm "$(target)$(waddir)/$*.wad"
	rm "$(target)/share/applications/$*.desktop"
	rm "$(target)/share/appdata/$*.appdata.xml"
	rm "$(target)/share/icons/$*.png"
	-rmdir -p "$(target)$(bindir)"
	-rmdir -p "$(target)$(mandir)/man6"
	-rmdir -p "$(target)$(waddir)"
	-rmdir -p "$(target)/share/applications"
	-rmdir -p "$(target)/share/appdata"
	-rmdir -p "$(target)/share/icons"

install: install-freedm install-freedoom1 install-freedoom2

uninstall: uninstall-freedm uninstall-freedoom1 uninstall-freedoom2

=== bootstrap/Makefile ===
# Build a fake IWAD to bootstrap deutex

IWAD=./doom2.wad

$(IWAD): ../lumps/playpal/playpal-base.lmp
	./bootstrap.py < $< > $@

clean:
	rm -f $(IWAD)

.PHONY: clean

=== dist/Makefile ===
man-%: freedoom.adoc
	sed -e s/freedoom/$*/ freedoom.adoc > $*.adoc
	a2x -f manpage $*.adoc

icon-freedm:
	convert -resize 64x64 ../graphics/titlepic/freedm_title2.png \
	    freedm.png

icon-freedoom1:
	convert -trim +repage -extent 48x48 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/playa2a8.gif freedoom1.png

icon-freedoom2:
	convert -trim +repage -extent 64x64 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/heada1.gif freedoom2.png

clean:
	rm -f *.6 *.png freedm.adoc freedoom1.adoc freedoom2.adoc

=== graphics/text/Makefile ===
# textgen outputs these files which are included in the built WADs
# as lumps.
TEXTGEN_GRAPHIC_LUMPS = \
  m_detail.gif m_disopt.gif m_disp.gif   m_endgam.gif m_epi1.gif   \
  m_epi2.gif   m_epi3.gif   m_epi4.gif   m_episod.gif m_gdhigh.gif \
  m_gdlow.gif  m_hurt.gif   m_jkill.gif  m_lgttl.gif  m_loadg.gif  \
  m_messg.gif  m_msens.gif  m_msgoff.gif m_msgon.gif  m_musvol.gif \
  m_newg.gif   m_ngame.gif  m_nmare.gif  m_option.gif m_optttl.gif \
  m_pause.gif  m_quitg.gif  m_rdthis.gif m_rough.gif  m_saveg.gif  \
  m_scrnsz.gif m_sfxvol.gif m_sgttl.gif  m_skill.gif  m_svol.gif   \
  m_about.gif  m_accel.gif  m_auto.gif   m_chat.gif   m_chatm.gif  \
  m_compat.gif m_demos.gif  m_dmflag.gif m_enem.gif   m_etcopt.gif \
  m_feat.gif   m_generl.gif m_gset.gif   m_horsen.gif m_hud.gif    \
  m_joyset.gif m_keybnd.gif m_ldsv.gif   m_loksen.gif m_menus.gif  \
  m_mess.gif   m_mouse.gif  m_multi.gif  m_player.gif m_serial.gif \
  m_setup.gif  m_sound.gif  m_stat.gif   m_status.gif m_tcpip.gif  \
  m_versen.gif m_video.gif  m_wad.gif    m_wadopt.gif m_weap.gif   \
  prboom.gif   t_phase1.gif t_phase2.gif                           \
  m_ultra.gif  wibp1.gif    wibp2.gif    wibp3.gif    wibp4.gif    \
  wicolon.gif  wienter.gif  wif.gif      wifrgs.gif   wipcnt.gif   \
  wiminus.gif  wimstar.gif  wimstt.gif   wiostf.gif   wiosti.gif   \
  wiostk.gif   wiosts.gif   wiscrt2.gif  wisucks.gif  witime.gif   \
  wip1.gif     wip2.gif     wip3.gif     wip4.gif     wipar.gif    \
  winum0.gif   winum1.gif   winum2.gif   winum3.gif   winum4.gif   \
  winum5.gif   winum6.gif   winum7.gif   winum8.gif   winum9.gif   \
  dmwilv00.gif dmwilv01.gif dmwilv02.gif dmwilv03.gif dmwilv04.gif \
  dmwilv05.gif dmwilv06.gif dmwilv07.gif dmwilv08.gif dmwilv09.gif \
  dmwilv10.gif dmwilv11.gif dmwilv12.gif dmwilv13.gif dmwilv14.gif \
  dmwilv15.gif dmwilv16.gif dmwilv17.gif dmwilv18.gif dmwilv19.gif \
  dmwilv20.gif dmwilv21.gif dmwilv22.gif dmwilv23.gif dmwilv24.gif \
  dmwilv25.gif dmwilv26.gif dmwilv27.gif dmwilv28.gif dmwilv29.gif \
  dmwilv30.gif dmwilv31.gif                                        \
  cwilv00.gif  cwilv01.gif  cwilv02.gif  cwilv03.gif  cwilv04.gif  \
  cwilv05.gif  cwilv06.gif  cwilv07.gif  cwilv08.gif  cwilv09.gif  \
  cwilv10.gif  cwilv11.gif  cwilv12.gif  cwilv13.gif  cwilv14.gif  \
  cwilv15.gif  cwilv16.gif  cwilv17.gif  cwilv18.gif  cwilv19.gif  \
  cwilv20.gif  cwilv21.gif  cwilv22.gif  cwilv23.gif  cwilv24.gif  \
  cwilv25.gif  cwilv26.gif  cwilv27.gif  cwilv28.gif  cwilv29.gif  \
  cwilv30.gif  cwilv31.gif                                         \
  wilv00.gif   wilv01.gif   wilv02.gif   wilv03.gif   wilv04.gif   \
  wilv05.gif   wilv06.gif   wilv07.gif   wilv08.gif   wilv10.gif   \
  wilv11.gif   wilv12.gif   wilv13.gif   wilv14.gif   wilv15.gif   \
  wilv16.gif   wilv17.gif   wilv18.gif   wilv20.gif   wilv21.gif   \
  wilv22.gif   wilv23.gif   wilv24.gif   wilv25.gif   wilv26.gif   \
  wilv27.gif   wilv28.gif   wilv30.gif   wilv31.gif   wilv32.gif   \
  wilv33.gif   wilv34.gif   wilv35.gif   wilv36.gif   wilv37.gif   \
  wilv38.gif

# The full set of graphics outputted by textgen includes a couple of
# extra files that are just intermediates, and are not lumps to be
# incuded in the WADs:
TEXTGEN_GRAPHICS = $(TEXTGEN_GRAPHIC_LUMPS)                                \
  helpttl.gif  freettl.gif

all: graphics.stamp help.gif credit.gif wikilrs.gif wivctms.gif

# textgen creates multiple outputs, which is awkward to express in
# make. Use a witness file (graphics.stamp) as suggested in the
# automake manual: "Handling Tools that Produce Many Outputs"

graphics.stamp: textgen.mk $(TEXTGEN_GRAPHICS)
	cp $(TEXTGEN_GRAPHIC_LUMPS) ../
	@touch $@

# Construct a file of Make directives for each text graphic.
# Each graphic depends on the directives file, so we tell textgen
# what its name is, as a command line parameter. The directives
# file depends on textgen's input (config, font, dehacked).

textgen.mk: config.py fontchars ../../lumps/dehacked.lmp
	./textgen $@ > $@

# Then, include the file of Make directives constructed above.

include textgen.mk

# Generate transparent image containing text for the HELP screen:
helptext.png: helpttl.gif
	python smtextgen helptext.png 320x200        \
	   150,5   "file:helpttl.gif"                \
	   10,25   "Weapons"                         \
	   80,25   "file:../../sprites/shota0.gif"   \
	   150,25  "file:../../sprites/sgn2a0.gif"   \
	   210,20  "file:../../sprites/mguna0.gif"   \
	   10,40   "file:../../sprites/launa0.gif"   \
	   80,40   "file:../../sprites/plasa0.gif"   \
	   150,40  "file:../../sprites/bfuga0.gif"   \
	   240,40  "file:../../sprites/csawa0.gif"   \
	   10,67   "Ammo"                            \
	   53,67   "file:../../sprites/clipa0.gif"   \
	   68,62   "file:../../sprites/ammoa0.gif"   \
	   110,67  "Shells"                          \
	   160,67  "file:../../sprites/shela0.gif"   \
	   180,62  "file:../../sprites/sboxa0.gif"   \
	   220,67  "Backpack"                        \
	   290,55  "file:../../sprites/bpaka0.gif"   \
	   10,90   "Missiles"                        \
	   76,78   "file:../../sprites/rocka0.gif"   \
	   95,82   "file:../../sprites/broka0.gif"   \
	   170,90  "Energy"                          \
	   220,90  "file:../../sprites/cella0.gif"   \
	   240,81  "file:../../sprites/celpa0.gif"   \
	   10,115  "Health"                          \
	   63,113  "file:../../sprites/bon1a0.gif"   \
	   78,112  "file:../../sprites/stima0.gif"   \
	   96,107  "file:../../sprites/media0.gif"   \
	   128,107 "file:../../sprites/pstra0.gif"   \
	   170,115 "Armor"                           \
	   220,113 "file:../../sprites/bon2a0.gif"   \
	   240,105 "file:../../sprites/arm1b0.gif"   \
	   280,105 "file:../../sprites/arm2b0.gif"   \
	   145,140 "Map"                             \
	   175,130 "file:../../sprites/pmapa0.gif"   \
	   10,140  "Overdrive"                       \
	   84,132  "file:../../sprites/soula0.gif"   \
	   110,132 "file:../../sprites/megaa0.gif"   \
	   10,163  "Night vis."                      \
	   80,160  "file:../../sprites/pvisa0.gif"   \
	   10,182  "Stealth"                         \
	   67,172  "file:../../sprites/pinsa0.gif"   \
	   115,182 "Invuln."                         \
	   170,174 "file:../../sprites/pinva0.gif"   \
	   255,182 "Keys"                            \
	   246,142 "file:../../sprites/rkeya0.gif"   \
	   261,142 "file:../../sprites/ykeya0.gif"   \
	   276,142 "file:../../sprites/bkeya0.gif"   \
	   246,162 "file:../../sprites/rskua0.gif"   \
	   261,162 "file:../../sprites/yskua0.gif"   \
	   276,162 "file:../../sprites/bskua0.gif"   \
	   130,163 "Hazard suit"                     \
	   215,142 "file:../../sprites/suita0.gif"

# Make background transparent so it can be overlayed.
helptext2.png : helptext.png
	convert helptext.png -transparent '#00ffff' helptext2.png

# Background for the help screen is a color shifted version of INTERPIC:
helpbg.png: ../interpic.gif
	convert ../interpic.gif -fill '#5599ff' -tint 100 helpbg.png

# Draw the overlay with text and sprites onto the background to get the
# HELP screen:
help.gif: helpbg.png helptext2.png
	convert helpbg.png                              \
	    -draw 'image over 0,0 0,0 helptext2.png'     \
	    help.gif
	cp $@ ../

credtext.png: freettl.gif credit.txt
	python smtextgen credtext.png 320x200        \
	   120,5  "file:freettl.gif"                \
	   10,30  "include:credit.txt"

credtext2.png: credtext.png
	convert credtext.png -transparent '#00ffff' credtext2.png

credit.gif: helpbg.png credtext2.png
	convert helpbg.png                             \
	    -draw 'image over 0,0 0,0 credtext2.png'   \
	    credit.gif
	cp $@ ../

wikilrs_horiz.png:
	python smtextgen $@ 49x7 \
	    0,0  killers

wikilrs.gif: wikilrs_horiz.png
	convert wikilrs_horiz.png -rotate 270 $@
	cp $@ ../

wivctms.gif:
	python smtextgen $@ 54x7 \
	    0,0  victims
	cp $@ ../

clean:
	rm -f $(TEXTGEN_GRAPHICS) helpbg.png help.gif helptext.png	\
	    helptext2.png graphics.stamp textgen.mk *.pyc credtext.png	\
	    credtext2.png credit.gif dmwilv*.gif wikilrs.gif		\
	    wivctms.gif wikilrs_horiz.png ../credit.gif ../help.gif	\
	    ../wikilrs.gif ../wivctms.gif
	for graphic in $(TEXTGEN_GRAPHICS); do rm -f ../$$graphic; done
	rm -fr __pycache__

=== graphics/titlepic/Makefile ===
titlepic: fd1title.gif fd2title.gif fdmtitle.gif

m_doom.gif: ../m_doom.gif
	convert -transparent '#00ffff' ../m_doom.gif m_doom.gif

m_dm.gif: ../m_dm.gif
	convert -transparent '#00ffff' ../m_dm.gif m_dm.gif

t_phase1.gif: ../t_phase1.gif
	convert -transparent '#00ffff' ../t_phase1.gif t_phase1.gif
	
t_phase2.gif: ../t_phase2.gif
	convert -transparent '#00ffff' ../t_phase2.gif t_phase2.gif

fd1title.gif: titlepic.gif m_doom.gif t_phase1.gif
	./create_caption titlepic.gif m_doom.gif t_phase1.gif $@
	cp $@ ../

fd2title.gif: titlepic.gif m_doom.gif t_phase2.gif
	./create_caption titlepic.gif m_doom.gif t_phase2.gif $@
	cp $@ ../

fdmtitle.gif: freedm_titlepic.gif
	./create_caption $< $@
	cp $@ ../

clean:
	rm -f m_dm.gif m_doom.gif fd1title.gif fd2title.gif fdmtitle.gif   \
	      ../fd1title.gif ../fd2title.gif ../fdmtitle.gif t_phase1.gif \
	      t_phase2.gif	      

.PHONY: clean

=== lumps/colormap/Makefile ===
PLAYPAL = ../playpal/playpal-base.lmp

COLORMAPS = colormap.lmp

all: $(COLORMAPS)
	cp $(COLORMAPS) ../

colormap.lmp: $(PLAYPAL) colormap.py
	./colormap.py $(PLAYPAL) > colormap.lmp

clean:
	rm -f $(COLORMAPS) ../$(COLORMAPS)

.PHONY: clean

=== lumps/dmxgus/Makefile ===
ultramid.ini : gen-ultramid config.py stats.py
	./gen-ultramid $@
	cp $@ ../dmxgus.lmp

clean:
	rm -f ultramid.ini ../dmxgus.lmp *.pyc
	rm -fr __pycache__

=== lumps/genmidi/Makefile ===
genmidi.lmp: config.py instruments/*
	./mkgenmidi $@
	cp $@ ../

clean:
	rm -f genmidi.lmp ../genmidi.lmp *.pyc
	rm -fr __pycache__

=== lumps/playpal/Makefile ===
playpal.lmp: playpal-base.lmp playpal.py
	./playpal.py playpal-base.lmp > playpal.lmp
	cp playpal.lmp ../

clean:
	rm -f playpal.lmp ../playpal.lmp

.PHONY: clean

=== lumps/textures/Makefile ===

CPP=../../scripts/simplecpp

all: phase1/texture1.lmp phase2/texture1.lmp freedm/texture1.lmp

phase1/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DULTDOOM -DDOOM1_VERSIONS                \
	       < textures.cfg |                                  \
	./build-textures -compat_texture1=doom1/texture1.txt     \
	                 -compat_texture2=doom1/texture2.txt     \
	                 -compat_pnames=doom1/pnames.txt         \
	                 -output_texture1=phase1/texture1.lmp    \
	                 -output_texture2=phase1/texture2.lmp    \
	                 -output_pnames=phase1/pnames.lmp        \
	                 -output_pnames_txt=phase1/pnames.txt
	cp phase1/texture1.lmp ../fd1txtr1.lmp
	cp phase1/texture2.lmp ../fd1txtr2.lmp
	cp phase1/pnames.lmp   ../fd1pname.lmp

phase2/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DDOOM2 < textures.cfg |                  \
	./build-textures -compat_texture1=doom2/texture1.txt     \
	                 -compat_pnames=doom2/pnames.txt         \
	                 -output_texture1=phase2/texture1.lmp    \
	                 -output_pnames=phase2/pnames.lmp        \
	                 -output_pnames_txt=phase2/pnames.txt
	cp phase2/texture1.lmp ../fd2txtr1.lmp
	cp phase2/pnames.lmp   ../fd2pname.lmp

freedm/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DDOOM2 -DFREEDM < textures.cfg |         \
	./build-textures -compat_texture1=doom2/texture1.txt     \
	                 -compat_pnames=doom2/pnames.txt         \
	                 -output_texture1=freedm/texture1.lmp    \
	                 -output_pnames=freedm/pnames.lmp        \
	                 -output_pnames_txt=freedm/pnames.txt
	cp freedm/texture1.lmp ../fdmtxtr1.lmp
	cp freedm/pnames.lmp   ../fdmpname.lmp

clean:
	rm -f phase1/texture1.lmp phase2/texture1.lmp freedm/texture1.lmp \
	      phase1/texture2.lmp                                         \
	      phase1/pnames.lmp   phase2/pnames.lmp   freedm/pnames.lmp   \
	      phase1/pnames.txt   phase2/pnames.txt   freedm/pnames.txt
	rm -f ../fd1txtr1.lmp ../fd1txtr2.lmp ../fd1pname.lmp \
	      ../fd2txtr1.lmp ../fd2pname.lmp                 \
	      ../fdmtxtr1.lmp ../fdmpname.lmp

=== debian/changelog ===
freedoom (0.11.3-1) unstable; urgency=medium

  * New upstream point release to support building with
    deutex >= 5.0.0 beta2. No other changes from 0.11.2.
  * Update the spelling of my name in debian/control.

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 25 Jul 2017 22:44:54 +0100

freedoom (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Fabian Greffrath <fabian@debian.org>  Sun, 18 Jun 2017 21:27:23 +0200

freedoom (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1 (Closes: #855921).
    + Fixes trigger not working properly on C2M9 (Closes: #827117).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 08 Mar 2017 22:06:43 +0100

=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>,
 Jonathan Dowland <jmtd@debian.org>
Build-Depends:
 asciidoc-base,
 debhelper (>= 9),
 deutex (>= 5.0.0~beta.2),
 docbook-xsl,
 docbook-xml,
 gsfonts,
 imagemagick,
 python (>= 2.7),
 xsltproc
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
Homepage: http://freedoom.github.io/

Package: freedm
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | doom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 doom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer deathmatch game for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 FreeDM is a fast-paced set of levels designed for multiplayer
 deathmatches, part of the Freedoom project.  Challenge your
 friends to the most torturous test of their abilities as you
 navigate through 32 levels stalking and hunting them.
 .
 FreeDM is fully compatible with Doom II mods.

Package: freedoom
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: two single player campaigns for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 Freedoom: Phase 1 contains four chapters, nine levels each, to
 provide a smoothly-paced first person action game.  In it is a
 wide variety of mazes and enemies to fight and challenge your
 reflexes.
 .
 Freedoom: Phase 2 is a 32-level game, expanding upon Phase 1 and
 adding a double-barrelled shotgun and more enemy types, along
 with even more brutal gameplay to really test your limits.
 .
 Freedoom: Phase 1 is fully compatible with The Ultimate Doom mods.
 Freedoom: Phase 2 is fully compatible with Doom II and Final Doom mods.

## freedoom 0.12.1

=== Makefile ===
# SPDX-License-Identifier: BSD-3-Clause

VERSION=$(shell git describe --abbrev=8 --dirty 2>/dev/null || echo v0.12.1)
WADS=wads
ASCIIDOC=asciidoc
ADOCOPTS=--backend=html5 --conf-file=.adoc-layout.conf
ASCIIDOC_MAN=a2x -f manpage
CPP=scripts/simplecpp
DEUTEX=deutex
DEUTEX_BASIC_ARGS=-v0 -rate accept
DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/

FREEDOOM1=$(WADS)/freedoom1.wad
FREEDOOM2=$(WADS)/freedoom2.wad
FREEDM=$(WADS)/freedm.wad

OBJS=$(FREEDM) $(FREEDOOM1) $(FREEDOOM2)

.PHONY: clean dist

all: $(OBJS)

subdirs:
	$(MAKE) -C lumps/dehacked # graphics/text depends on generated dehacked files
	$(MAKE) VERSION=$(VERSION) -C graphics/text
	$(MAKE) -C lumps/playpal
	$(MAKE) -C lumps/colormap
	$(MAKE) -C lumps/genmidi
	$(MAKE) -C lumps/dmxgus
	$(MAKE) -C lumps/textures
	$(MAKE) -C bootstrap


# this is a useless dependency to force builds

force:

lumps/freedoom.lmp lumps/freedm.lmp: force
	echo $(VERSION) > $@

# deutex doesnt allow redirects for the filenames in the texture
# entries, so we have to change the texture1 symlink to point
# to whichever wad we are working on

#---------------------------------------------------------
# freedm iwad

wadinfo_freedm.txt : buildcfg.txt subdirs lumps/freedoom.lmp lumps/freedm.lmp
	$(CPP) -P -DFREEDM < $< > $@

$(FREEDM): wadinfo_freedm.txt subdirs
	@mkdir -p $(WADS)
	$(RM) $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_freedm.txt $@

#---------------------------------------------------------
# phase 1 (udoom) iwad

wadinfo_phase1.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DPHASE1 < $< > $@

$(FREEDOOM1): wadinfo_phase1.txt subdirs
	@mkdir -p $(WADS)
	$(RM) $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_phase1.txt $@

#---------------------------------------------------------
# phase 2 (doom2) iwad

wadinfo_phase2.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DPHASE2 < $< > $@

$(FREEDOOM2): wadinfo_phase2.txt subdirs
	@mkdir -p $(WADS)
	$(RM) $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_phase2.txt $@

%.html: %.adoc
	$(ASCIIDOC) $(ADOCOPTS) $<

manual/freedoom-manual.pdf: manual/manual.adoc
	$(MAKE) -C manual

COPYING.txt: COPYING.adoc
	unix2dos --add-bom --newfile $< $@

CREDITS.txt: CREDITS
	unix2dos --add-bom --newfile $< $@

HTMLDOCS=NEWS.html README.html
TEXTDOCS=COPYING.txt CREDITS.txt
DISTDOCS=$(HTMLDOCS) $(TEXTDOCS) manual/freedoom-manual.pdf

dist: $(OBJS) $(DISTDOCS)
	LC_ALL=C VERSION=$(VERSION) scripts/makepkgs freedm $(FREEDM) $(DISTDOCS)
	LC_ALL=C VERSION=$(VERSION) scripts/makepkgs freedoom $(FREEDOOM1) $(FREEDOOM2) $(DISTDOCS)

json: $(OBJS)
ifndef JSON
	@echo "Define JSON as the file to output." >&2
	@exit 1
else
	JSON=$(JSON) VERSION=$(VERSION) scripts/makejson
endif

doom.gpl: lumps/playpal/playpal-base.lmp
	$(MAKE) -C lumps/playpal $@
	mv lumps/playpal/$@ .

gimp-palette: doom.gpl

clean: wad-image-clean
	$(RM) *.html doom.gpl $(OBJS) \
	      ./COPYING.txt ./CREDITS.txt \
	      ./wadinfo_phase1.txt \
	      ./wadinfo_phase2.txt \
	      ./wadinfo_freedm.txt \
	      ./lumps/freedoom.lmp \
	      ./lumps/freedm.lmp
	-rmdir $(WADS)

	$(MAKE) -C bootstrap clean
	$(MAKE) -C dist clean
	$(MAKE) -C graphics/text clean
	$(MAKE) -C lumps/dehacked clean
	$(MAKE) -C lumps/playpal clean
	$(MAKE) -C lumps/colormap clean
	$(MAKE) -C lumps/genmidi clean
	$(MAKE) -C lumps/dmxgus clean
	$(MAKE) -C lumps/textures clean
	$(MAKE) -C manual clean

# Variables that are common to wad-image* targets.
WI_LEVELS := levels
WI_SCRIPTS := scripts
WI_PATH := $(shell command -v wad2image.py)
WI_HOME := $(if $(WAD2IMAGE_HOME),$(WAD2IMAGE_HOME),$(if $(WI_PATH),$(shell $(WI_PATH) \
    --get-top-dir),$(WI_SCRIPTS)/wad2image))
WI_IMAGES := wad-images
WI_WAD_SPATH := wads,{top-dir}/wads,.,/usr/share/doom,/usr/local/doom
WI_ALL_OPTIONS := $(WI_OPTIONS) $(if $(WI_BW), --colors-images bw,) \
    $(if $(WI_CMD), --show-cmd $(WI_CMD),) $(if $(WI_GIF), -d gif,) \
    $(if $(WI_IMAGES), --out-dir $(WI_IMAGES),) $(if $(WI_SHOW), -s,) \
    $(if $(WI_VERBOSE), -v,) $(if $(WI_WAD_SPATH), --wad-spath $(WI_WAD_SPATH),)
wad-image-common:
ifndef WI_IMAGES
	$(error WI_IMAGES must be defined)
endif
ifndef WI_LEVELS
	$(error WI_LEVELS must be defined)
endif
ifndef WI_SCRIPTS
	$(error WI_SCRIPTS must be defined)
endif
ifndef WI_HOME
	$(error WI_HOME must be defined)
endif

# Generating images for WADs in "levels" directory and show the result.
WI_LATEST := $(shell ls -1t $(WI_LEVELS)/*.wad | head -n 1)
WI_FILES := $(if $(WI_PATT), $(WI_LEVELS)/$(WI_PATT).wad, $(WI_LATEST))
wad-image: wad-image-common
	@echo "Generating images for WADs in \"$(WI_LEVELS)\"."
	$(WI_HOME)/bin/wad2image.py $(WI_ALL_OPTIONS) $(WI_FILES)

# Cleanup generated images. Structured this way for safety.
wad-image-clean: wad-image-common
	$(RM) $(WI_IMAGES)/*
	-rmdir $(WI_IMAGES)

# Diffing WADs in "levels" using git and show the diff."
wad-image-diff: wad-image-common
	@echo "Diffing WADs in \"$(WI_LEVELS)\" using git."
	$(WI_HOME)/integration/git-wad-diff.sh "$(WI_COMMIT)" "$(WI_LEVELS)" $(WI_ALL_OPTIONS)

# Help for wad2image.
wad-image-help: wad-image-common
	@echo "Help for wad-image* targets and WI_* variable which can be used to see"
	@echo "differences between WAD revisions, or to simply view WADs. The following targets"
	@echo "depend on wad2image being installed with bin/wad2image.py in it being in the"
	@echo "path, or alteratively wad2image being copied or symlinked to the \"$(WI_SCRIPTS)\""
	@echo "directory. Images are created in \"$(WI_IMAGES)\". Each variable's description"
	@echo "ends with \"Value:\" followed by that variable's current value. If no variables"
	@echo "have been specified on the make command line then the value shown is the"
	@echo "default value. Some variables are unset by default. wad2image can be downloaded"
	@echo "from http://selliott.org/utilities/wad2image."
	@echo ""
	@echo "  Targets:"
	@echo ""
	@echo "    wad-image       Generate generate images for WAD files that are in the"
	@echo "                    workspace."
	@echo "    wad-image-clean Remove \"$(WI_IMAGES)\" as well as all files in it."
	@echo "    wad-image-diff  Use git to generate diff image showing the differences"
	@echo "                    between two revisions of WAD files. By default the"
	@echo "                    difference is between latest HEAD and the workspace, but the"
	@echo "                    WI_COMMIT variable can be used to generate other diffs."
	@echo "    wad-image-help  This help message."
	@echo ""
	@echo "  Variables:"
	@echo ""
	@echo "    WI_BW           Make diff images black or white (high contrast) instead of"
	@echo "                    full color. This applies to wad-image-diff-only."
	@echo "                    Value: $(WI_BW)"
	@echo "    WI_CMD          Command used to display images. \"display\" is used if no"
	@echo "                    value is specified. \"animate\" works well for animated"
	@echo "                    GIFs. Value: $(WI_CMD)"
	@echo "    WI_COMMIT       When the wad-image-diff target is invoked this variable"
	@echo "                    specifies which revisions are compared. It's similar to"
	@echo "                    git's \"commit\" argument. Value: $(WI_COMMIT)"
	@echo "    WI_GIF          Create animated GIFs instead of color coded files for the"
	@echo "                    diff. Value: $(WI_GIF)"
	@echo "    WI_HOME         The location where wad2image is installed. By default PATH"
	@echo "                    is searched for \"wad2image.py\". If it's found the"
	@echo "                    enclosing installation directory is used. If it's not found"
	@echo "                    $(WI_SCRIPTS)/wad2image is used. Value: $(WI_HOME)"
	@echo "    WI_IMAGES       The output directory that will contain the images created."
	@echo "                    Value: $(WI_IMAGES)"
	@echo "    WI_LEVELS       Subdirectory with the level WADs. Value: $(WI_IMAGES)"
	@echo "    WI_OPTIONS      Additional command line options for wad2image."
	@echo "                    Value: $(WI_OPTIONS)"
	@echo "    WI_SHOW         If set then show the images after creating them."
	@echo "                    Value: $(WI_SHOW)"
	@echo "    WI_PATT         Files patterns that are applied to files in the"
	@echo "                    \"$(WI_LEVELS)\" directory without the \".wad\" suffix. For"
	@echo "                    example, \"map0*\" to get MAP01 - MAP09. This applies to"
	@echo "                    wad-image only. Value: $(WI_PATT)"
	@echo "    WI_VERBOSE      If set then make wad2image more verbose."
	@echo "                    Value: $(WI_VERBOSE)"
	@echo "    WI_WAD_SPATH    The search path for WADs where a fully qualified path was"
	@echo "                    not given. This is typically used for the IWAD. By default"
	@echo "                    \"wads\" is searched first, so it helps to complete a build"
	@echo "                    before generating images. Value: $(WI_WAD_SPATH)"
	@echo ""
	@echo "  Examples:"
	@echo ""
	@echo "    Verbosely create and display an image for the most recently modified WAD"
	@echo "    file in \"levels\":"
	@echo "      make wad-image WI_VERBOSE=t"
	@echo ""
	@echo "    Create and display the image for MAP05:"
	@echo "      make wad-image WI_PATT=map05"
	@echo ""
	@echo "    Verbosely create color coded diffs for changed files in the workspace:"
	@echo "      make wad-image-diff WI_VERBOSE=t"
	@echo ""
	@echo "    Same as above but Yadex style (example of WI_OPTIONS):"
	@echo "      make wad-image-diff WI_VERBOSE=t WI_OPTIONS=\"-c yadex\""
	@echo ""
	@echo "    Same as the above, but with high contrast black or white images, but"
	@echo "      without Yadex style:"
	@echo "      make wad-image-diff WI_VERBOSE=t WI_BW=t"
	@echo ""
	@echo "    Same as above, but use animated GIFs to illustrate the diff instead of"
	@echo "    colors. Also, once the animated GIFs are created they'll be shown with"
	@echo "    the \"animate\" command:"
	@echo "      make wad-image-diff WI_VERBOSE=t WI_GIF=t WI_SHOW=t WI_CMD=animate"
	@echo ""
	@echo "    Same as above, but illustrate the diff between two git revisions instead of"
	@echo "    the workspace:"
	@echo "      make wad-image-diff WI_VERBOSE=t WI_GIF=t WI_SHOW=t WI_CMD=animate \
WI_COMMIT=\"0c004ce~..0c004ce\""

# Test targets all of which are a dependency of "test".

# Test that WAD files have the expected map names.
test-map-names:
	scripts/fix-map-names -t levels

# Run all tests. Add test-* targets above, and then as a dependency here.
test: test-map-names
	@echo
	@echo "All tests passed."

# Non-test targets that run scripts in the "scripts" directory.

# Fix the map names.
fix-map-names:
	scripts/fix-map-names levels

%.6:
	$(MAKE) ASCIIDOC_MAN="$(ASCIIDOC_MAN)" -C dist $@

%.png:
	$(MAKE) -C dist $@

prefix?=/usr/local
bindir?=/bin
docdir?=/share/doc
mandir?=/share/man
waddir?=/share/games/doom
target=$(DESTDIR)$(prefix)

install-freedm: $(FREEDM) $(HTMLDOCS) manual/freedoom-manual.pdf \
                freedm.6 freedm.png
	install -Dm 644 dist/io.github.freedoom.FreeDM.desktop \
	        -t "$(target)/share/applications"
	install -Dm 644 dist/io.github.freedoom.FreeDM.metainfo.xml \
	        -t "$(target)/share/metainfo"
	install -Dm 755 dist/freedoom "$(target)$(bindir)/freedm"
	install -Dm 644 dist/freedm.6 -t "$(target)$(mandir)/man6"
	install -Dm 644 $(FREEDM) -t "$(target)$(waddir)"
	install -Dm 644 dist/freedm.png -t "$(target)/share/icons"
	install -Dm 644 CREDITS NEWS.html README.html -t "$(target)$(docdir)/freedm"
	install -Dm 644 COPYING.adoc "$(target)$(docdir)/freedm/COPYING"
	-install -Dm 644 manual/freedoom-manual.pdf -t "$(target)$(docdir)/freedm"

install-freedoom: $(FREEDOOM1) $(FREEDOOM2) $(HTMLDOCS)                 \
                  manual/freedoom-manual.pdf freedoom1.6 freedoom2.6    \
                  freedoom1.png freedoom2.png
	install -Dm 644 dist/io.github.freedoom.Phase1.desktop \
	                -t "$(target)/share/applications"
	install -Dm 644 dist/io.github.freedoom.Phase2.desktop \

=== dist/Makefile ===
ASCIIDOC_MAN=a2x -f manpage
.SUFFIXES: .adoc .6

all: freedm.6 freedoom1.6 freedoom2.6 freedm.png freedoom1.png freedoom2.png

%.6: freedoom.adoc
	sed -e s/freedoom/$*/ $< > $*.adoc
	$(ASCIIDOC_MAN) $*.adoc

freedm.png: ../graphics/titlepic/freedm_title2.png
	./pillow-resize $< $@ 64 64

freedoom1.png: ../sprites/playa2a8.png
	./pillow-compose $< $@ 64 64

freedoom2.png: ../sprites/heada1.png
	./pillow-compose $< $@ 64 64

clean:
	$(RM) *.6 *.png freedm.adoc freedoom1.adoc freedoom2.adoc

=== manual/Makefile ===
all: freedoom-manual.pdf

freedoom-manual.pdf: manual.adoc
	-asciidoctor-pdf -a toc manual.adoc -o $@

clean:
	$(RM) freedoom-manual.pdf

=== graphics/text/Makefile ===
# textgen outputs these files which are included in the built WADs
# as lumps.
TEXTGEN_GRAPHIC_LUMPS = \
  m_detail.png m_disopt.png m_disp.png   m_endgam.png m_epi1.png   \
  m_epi2.png   m_epi3.png   m_epi4.png   m_episod.png m_gdhigh.png \
  m_gdlow.png  m_hurt.png   m_jkill.png  m_lgttl.png  m_loadg.png  \
  m_messg.png  m_msens.png  m_msgoff.png m_msgon.png  m_musvol.png \
  m_newg.png   m_ngame.png  m_nmare.png  m_option.png m_optttl.png \
  m_pause.png  m_quitg.png  m_rdthis.png m_rough.png  m_saveg.png  \
  m_scrnsz.png m_sfxvol.png m_sgttl.png  m_skill.png  m_svol.png   \
  m_about.png  m_accel.png  m_auto.png   m_chat.png   m_chatm.png  \
  m_compat.png m_demos.png  m_dmflag.png m_enem.png   m_etcopt.png \
  m_feat.png   m_generl.png m_gset.png   m_horsen.png m_hud.png    \
  m_joyset.png m_keybnd.png m_ldsv.png   m_loksen.png m_menus.png  \
  m_mess.png   m_mouse.png  m_multi.png  m_player.png m_serial.png \
  m_setup.png  m_sound.png  m_stat.png   m_status.png m_tcpip.png  \
  m_versen.png m_video.png  m_wad.png    m_wadopt.png m_weap.png   \
  prboom.png   t_phase1.png t_phase2.png                           \
  m_ultra.png  wibp1.png    wibp2.png    wibp3.png    wibp4.png    \
  wicolon.png  wienter.png  wif.png      wifrgs.png   wipcnt.png   \
  wiminus.png  wimstar.png  wimstt.png   wiostf.png   wiosti.png   \
  wiostk.png   wiosts.png   wiscrt2.png  wisucks.png  witime.png   \
  wip1.png     wip2.png     wip3.png     wip4.png     wipar.png    \
  winum0.png   winum1.png   winum2.png   winum3.png   winum4.png   \
  winum5.png   winum6.png   winum7.png   winum8.png   winum9.png   \
  dmwilv00.png dmwilv01.png dmwilv02.png dmwilv03.png dmwilv04.png \
  dmwilv05.png dmwilv06.png dmwilv07.png dmwilv08.png dmwilv09.png \
  dmwilv10.png dmwilv11.png dmwilv12.png dmwilv13.png dmwilv14.png \
  dmwilv15.png dmwilv16.png dmwilv17.png dmwilv18.png dmwilv19.png \
  dmwilv20.png dmwilv21.png dmwilv22.png dmwilv23.png dmwilv24.png \
  dmwilv25.png dmwilv26.png dmwilv27.png dmwilv28.png dmwilv29.png \
  dmwilv30.png dmwilv31.png                                        \
  cwilv00.png  cwilv01.png  cwilv02.png  cwilv03.png  cwilv04.png  \
  cwilv05.png  cwilv06.png  cwilv07.png  cwilv08.png  cwilv09.png  \
  cwilv10.png  cwilv11.png  cwilv12.png  cwilv13.png  cwilv14.png  \
  cwilv15.png  cwilv16.png  cwilv17.png  cwilv18.png  cwilv19.png  \
  cwilv20.png  cwilv21.png  cwilv22.png  cwilv23.png  cwilv24.png  \
  cwilv25.png  cwilv26.png  cwilv27.png  cwilv28.png  cwilv29.png  \
  cwilv30.png  cwilv31.png                                         \
  wilv00.png   wilv01.png   wilv02.png   wilv03.png   wilv04.png   \
  wilv05.png   wilv06.png   wilv07.png   wilv08.png   wilv10.png   \
  wilv11.png   wilv12.png   wilv13.png   wilv14.png   wilv15.png   \
  wilv16.png   wilv17.png   wilv18.png   wilv20.png   wilv21.png   \
  wilv22.png   wilv23.png   wilv24.png   wilv25.png   wilv26.png   \
  wilv27.png   wilv28.png   wilv30.png   wilv31.png   wilv32.png   \
  wilv33.png   wilv34.png   wilv35.png   wilv36.png   wilv37.png   \
  wilv38.png

# The full set of graphics outputted by textgen includes a couple of
# extra files that are just intermediates, and are not lumps to be
# incuded in the WADs:
TEXTGEN_GRAPHICS = $(TEXTGEN_GRAPHIC_LUMPS)                                \
  helpttl.png  freettl.png

all: text_strings help.png credit.png wikilrs.png wivctms.png titlepic

# Generate the menu and level strings
text_strings: config.py fontchars ../../lumps/dehacked/dehacked.txt
	./textgen
	cp $(TEXTGEN_GRAPHIC_LUMPS) ../

# Background for the help screen is a color shifted version of INTERPIC:
helpbg.png: ../interpic.png
	./tint.py ../interpic.png '#57b9b0' helpbg.png

# Generate transparent image containing text for the HELP screen:
help.png: text_strings helpbg.png
	./smtextgen help.png 320x200                 \
	   -background "helpbg.png"                  \
	   150,5   "file:helpttl.png"                \
	   10,25   "Weapons"                         \
	   80,23   "file:../../sprites/shota0.png"   \
	   150,23  "file:../../sprites/sgn2a0.png"   \
	   210,18  "file:../../sprites/mguna0.png"   \
	   10,38   "file:../../sprites/launa0.png"   \
	   80,38   "file:../../sprites/plasa0.png"   \
	   150,38  "file:../../sprites/bfuga0.png"   \
	   240,38  "file:../../sprites/csawa0.png"   \
	   10,67   "Ammo"                            \
	   53,67   "file:../../sprites/clipa0.png"   \
	   68,62   "file:../../sprites/ammoa0.png"   \
	   110,67  "Shells"                          \
	   160,67  "file:../../sprites/shela0.png"   \
	   180,62  "file:../../sprites/sboxa0.png"   \
	   220,67  "Backpack"                        \
	   290,55  "file:../../sprites/bpaka0.png"   \
	   10,90   "Missiles"                        \
	   76,80   "file:../../sprites/rocka0.png"   \
	   95,84   "file:../../sprites/broka0.png"   \
	   170,90  "Energy"                          \
	   220,90  "file:../../sprites/cella0.png"   \
	   240,81  "file:../../sprites/celpa0.png"   \
	   10,115  "Health"                          \
	   63,113  "file:../../sprites/bon1a0.png"   \
	   78,112  "file:../../sprites/stima0.png"   \
	   96,107  "file:../../sprites/media0.png"   \
	   128,107 "file:../../sprites/pstra0.png"   \
	   170,115 "Armor"                           \
	   220,113 "file:../../sprites/bon2a0.png"   \
	   240,113 "file:../../sprites/arm1b0.png"   \
	   280,110 "file:../../sprites/arm2b0.png"   \
	   145,140 "Map"                             \
	   175,130 "file:../../sprites/pmapa0.png"   \
	   10,140  "Overdrive"                       \
	   84,132  "file:../../sprites/soula0.png"   \
	   110,132 "file:../../sprites/megaa0.png"   \
	   10,163  "Night vis."                      \
	   80,160  "file:../../sprites/pvisa0.png"   \
	   10,182  "Stealth"                         \
	   67,172  "file:../../sprites/pinsa0.png"   \
	   115,182 "Invuln."                         \
	   170,174 "file:../../sprites/pinva0.png"   \
	   255,182 "Keys"                            \
	   246,142 "file:../../sprites/rkeya0.png"   \
	   261,142 "file:../../sprites/ykeya0.png"   \
	   276,142 "file:../../sprites/bkeya0.png"   \
	   246,162 "file:../../sprites/rskua0.png"   \
	   261,162 "file:../../sprites/yskua0.png"   \
	   276,162 "file:../../sprites/bskua0.png"   \
	   130,163 "Hazard suit"                     \
	   215,142 "file:../../sprites/suita0.png"
	cp $@ ../


credit.png: text_strings helpbg.png credit.txt
	./smtextgen credit.png 320x200                \
	   -background "helpbg.png"                   \
	   120,5  "file:freettl.png"                  \
	   10,30  "include:credit.txt"
	cp $@ ../

wikilrs_horiz.png:
	./smtextgen $@ 49x7 \
	    0,0  killers

wikilrs.png: wikilrs_horiz.png
	./rotate wikilrs_horiz.png 270 $@
	cp $@ ../

wivctms.png:
	./smtextgen $@ 54x7 \
	    0,0  victims
	cp $@ ../

titlepic: fd1title.png fd2title.png fdmtitle.png

fd1title.png: text_strings ../titlepic/titlepic.png ../m_doom.png 
	./create_caption ../titlepic/titlepic.png ../m_doom.png ../t_phase1.png $@
	cp $@ ../

fd2title.png: text_strings ../titlepic/titlepic.png ../m_doom.png
	./create_caption ../titlepic/titlepic.png ../m_doom.png ../t_phase2.png $@
	cp $@ ../

fdmtitle.png: ../titlepic/freedm_titlepic.png
	./create_caption $< $@
	cp $@ ../

clean:
	$(RM) $(TEXTGEN_GRAPHICS) helpbg.png help.png	            \
	    graphics.stamp *.pyc credtext.png	                    \
	    credtext.png credit.png dmwilv*.png wikilrs.png		    \
	    wivctms.png wikilrs_horiz.png ../credit.png ../help.png	\
	    ../wikilrs.png ../wivctms.png                           \
		fd1title.png fd2title.png fdmtitle.png                  \
	    ../fd1title.png ../fd2title.png ../fdmtitle.png 
	for graphic in $(TEXTGEN_GRAPHICS); do $(RM) ../$$graphic; done
	$(RM) __pycache__/*
	-rmdir __pycache__

=== lumps/colormap/Makefile ===
PLAYPAL = ../playpal/playpal-base.lmp

COLORMAPS = colormap.lmp

all: $(COLORMAPS)
	cp $(COLORMAPS) ../

colormap.lmp: $(PLAYPAL) colormap
	./colormap $(PLAYPAL) > colormap.lmp

clean:
	$(RM) $(COLORMAPS) ../$(COLORMAPS)

.PHONY: clean

=== lumps/dehacked/Makefile ===
CPP=../../scripts/simplecpp

all: ../fdm_deh.lmp ../p1_deh.lmp ../p2_deh.lmp

../fdm_deh.lmp: dehacked.txt
	$(CPP) -DFREEDM < $< > $@

../p1_deh.lmp: dehacked.txt
	$(CPP) -DPHASE1 < $< > $@

../p2_deh.lmp: dehacked.txt
	$(CPP) -DPHASE2 < $< > $@

clean:
	$(RM) ../fdm_deh.lmp ../p1_deh.lmp ../p2_deh.lmp

=== lumps/dmxgus/Makefile ===
ultramid.ini : gen-ultramid config.py stats.py
	./gen-ultramid $@
	cp $@ ../dmxgus.lmp

clean:
	$(RM) ultramid.ini ../dmxgus.lmp *.pyc
	$(RM) __pycache__/*
	-rmdir __pycache__

=== lumps/genmidi/Makefile ===
genmidi.lmp: config.py instruments/*
	./mkgenmidi $@
	cp $@ ../

clean:
	$(RM) genmidi.lmp ../genmidi.lmp *.pyc
	$(RM) __pycache__/*
	-rmdir __pycache__

=== lumps/playpal/Makefile ===
playpal.lmp: playpal-base.lmp playpal
	./playpal playpal-base.lmp > playpal.lmp
	cp playpal.lmp ../

doom.gpl: playpal-base.lmp
	./gen-gimp-palette

clean:
	$(RM) playpal.lmp ../playpal.lmp
	$(RM) doom.gpl

.PHONY: clean

=== debian/changelog ===
freedoom (0.12.1-2) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:19:40 +0100

freedoom (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Adapt packaging to build system changes.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Nov 2019 16:43:35 +0100

freedoom (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Update Vcs-* fields to point to the salsa repository.
  * Switch from python and imagemagick to python3 and python3-pil
    (Closes: #936554).
  * Switch from asciidoc to asciidoctor and add ruby-asciidoctor-pdf
    for the manual.
  * Build with SHELL="bash" for the "command" command.
  * Drop package relations that are satisfied since at least oldoldstable.
  * Remove debian/clean, package cleans up itself now.
  * Freedoom Phase 1 and 2 have turned from Boom compatible to Vanilla Doom
    compatible, so provide doom-wad and require a doom-engine.
  * Drop legacy symlinks to the old IWAD file names.
  * Account for using reverse-DNS for the project identifier in the desktop
    and metainfo files.
  * Rules-Requires-Root: no.
  * Fix insecure debian/copyright format URL.
  * Include pkg-info.mk instead of parsing debian/changelog in debian/rules.
  * Install the manual in PDF format.
  * Run "wrap-and-sort -asb".
  * Fix privacy-breach-generic lintian warnings in the HTML documentation.
  * Add /usr/share/doc to debian/not-installed, we install the documentation
    manually.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 12 Oct 2019 17:33:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,19 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Fabian Greffrath <fabian@debian.org>,
- Jonathan Dowland <jmtd@debian.org>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- asciidoc-base,
- debhelper (>= 9),
+ asciidoctor,
+ debhelper-compat (= 12),
  deutex (>= 5.0.0~beta.2),
- docbook-xsl,
- docbook-xml,
- gsfonts,
- imagemagick,
- python (>= 2.7),
- xsltproc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
+ python3,
+ python3-pil,
+ ruby-asciidoctor-pdf
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/games-team/freedoom.git
+Vcs-Browser: https://salsa.debian.org/games-team/freedoom
 Homepage: http://freedoom.github.io/
+Rules-Requires-Root: no
 
 Package: freedm
 Architecture: all
@@ -26,12 +22,8 @@
 Depends:
  prboom-plus | doom-engine,
  ${misc:Depends}
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Provides:
  doom-wad
-Breaks:
- prboom (<< 2:2.5.0+dfsg1-5)
 Description: multiplayer deathmatch game for Doom-compatible engines
  The Freedoom project aims to produce three base-game data files
  (IWADs) for Doom-compatible engines.  With it comes the
@@ -49,14 +41,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- prboom-plus | boom-engine,
+ prboom-plus | doom-engine,
  ${misc:Depends}
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Provides:
- boom-wad
-Breaks:
- prboom (<< 2:2.5.0+dfsg1-5)
+ doom-wad
 Description: two single player campaigns for Doom-compatible engines
  The Freedoom project aims to produce three base-game data files
  (IWADs) for Doom-compatible engines.  With it comes the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)
export PATH

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"

override_dh_auto_install:
	$(MAKE) install-freedm -- \
		DESTDIR=$(CURDIR)/debian/freedm \
		prefix=/usr \
		bindir=/games \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"
	
	$(MAKE) install-freedoom -- \
		DESTDIR=$(CURDIR)/debian/freedoom \
		prefix=/usr \
		bindir=/games \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"
	
	# fix privacy-breach-generic
	sed -e '/googleapis.com/d' -i debian/*/usr/share/doc/*/*.html
	
	# we have debian/copyright for this
	find debian/ -name 'COPYING' -delete
